using System;
using System.Globalization;

namespace Winterdom.BizTalk.Samples.FixEncoding
{
   internal class EncodingInfo
   {
      public string _name;
      public int _codepage;

      public string Name
      {
         get { return _name; }
         set { _name = value; }
      }

      public int CodePage
      {
         get { return _codepage; }
         set { _codepage = value; }
      }

      public EncodingInfo(int codepage, string name)
      {
         CodePage = codepage;
         Name = name;
      }

      public static readonly EncodingInfo[] Encodings;
      static EncodingInfo()
      {
         Encodings = new EncodingInfo[]
               {
                  new EncodingInfo(37, "IBM037"),
                  new EncodingInfo(437, "IBM437"),
                  new EncodingInfo(500, "IBM500"),
                  new EncodingInfo(708, "ASMO-708"),
                  new EncodingInfo(720, "DOS-720"),
                  new EncodingInfo(737, "ibm737"),
                  new EncodingInfo(775, "ibm775"),
                  new EncodingInfo(850, "ibm850"),
                  new EncodingInfo(852, "ibm852"),
                  new EncodingInfo(855, "IBM855"),
                  new EncodingInfo(857, "ibm857"),
                  new EncodingInfo(858, "IBM00858"),
                  new EncodingInfo(860, "IBM860"),
                  new EncodingInfo(861, "ibm861"),
                  new EncodingInfo(862, "DOS-862"),
                  new EncodingInfo(863, "IBM863"),
                  new EncodingInfo(864, "IBM864"),
                  new EncodingInfo(865, "IBM865"),
                  new EncodingInfo(866, "cp866"),
                  new EncodingInfo(869, "ibm869"),
                  new EncodingInfo(870, "IBM870"),
                  new EncodingInfo(874, "windows-874"),
                  new EncodingInfo(875, "cp875"),
                  new EncodingInfo(932, "shift_jis"),
                  new EncodingInfo(936, "gb2312"),
                  new EncodingInfo(949, "ks_c_5601-1987"),
                  new EncodingInfo(950, "big5"),
                  new EncodingInfo(1026, "IBM1026"),
                  new EncodingInfo(1047, "IBM01047"),
                  new EncodingInfo(1140, "IBM01140"),
                  new EncodingInfo(1141, "IBM01141"),
                  new EncodingInfo(1142, "IBM01142"),
                  new EncodingInfo(1143, "IBM01143"),
                  new EncodingInfo(1144, "IBM01144"),
                  new EncodingInfo(1145, "IBM01145"),
                  new EncodingInfo(1146, "IBM01146"),
                  new EncodingInfo(1147, "IBM01147"),
                  new EncodingInfo(1148, "IBM01148"),
                  new EncodingInfo(1149, "IBM01149"),
                  new EncodingInfo(1200, "utf-16"),
                  new EncodingInfo(1201, "unicodeFFFE"),
                  new EncodingInfo(1250, "windows-1250"),
                  new EncodingInfo(1251, "windows-1251"),
                  new EncodingInfo(1252, "Windows-1252"),
                  new EncodingInfo(1253, "windows-1253"),
                  new EncodingInfo(1254, "windows-1254"),
                  new EncodingInfo(1255, "windows-1255"),
                  new EncodingInfo(1256, "windows-1256"),
                  new EncodingInfo(1257, "windows-1257"),
                  new EncodingInfo(1258, "windows-1258"),
                  new EncodingInfo(1361, "Johab"),
                  new EncodingInfo(10000, "macintosh"),
                  new EncodingInfo(10001, "x-mac-japanese"),
                  new EncodingInfo(10002, "x-mac-chinesetrad"),
                  new EncodingInfo(10003, "x-mac-korean"),
                  new EncodingInfo(10004, "x-mac-arabic"),
                  new EncodingInfo(10005, "x-mac-hebrew"),
                  new EncodingInfo(10006, "x-mac-greek"),
                  new EncodingInfo(10007, "x-mac-cyrillic"),
                  new EncodingInfo(10008, "x-mac-chinesesimp"),
                  new EncodingInfo(10010, "x-mac-romanian"),
                  new EncodingInfo(10017, "x-mac-ukrainian"),
                  new EncodingInfo(10021, "x-mac-thai"),
                  new EncodingInfo(10029, "x-mac-ce"),
                  new EncodingInfo(10079, "x-mac-icelandic"),
                  new EncodingInfo(10081, "x-mac-turkish"),
                  new EncodingInfo(10082, "x-mac-croatian"),
                  new EncodingInfo(20000, "x-Chinese-CNS"),
                  new EncodingInfo(20001, "x-cp20001"),
                  new EncodingInfo(20002, "x-Chinese-Eten"),
                  new EncodingInfo(20003, "x-cp20003"),
                  new EncodingInfo(20004, "x-cp20004"),
                  new EncodingInfo(20005, "x-cp20005"),
                  new EncodingInfo(20105, "x-IA5"),
                  new EncodingInfo(20106, "x-IA5-German"),
                  new EncodingInfo(20107, "x-IA5-Swedish"),
                  new EncodingInfo(20108, "x-IA5-Norwegian"),
                  new EncodingInfo(20127, "us-ascii"),
                  new EncodingInfo(20261, "x-cp20261"),
                  new EncodingInfo(20269, "x-cp20269"),
                  new EncodingInfo(20273, "IBM273"),
                  new EncodingInfo(20277, "IBM277"),
                  new EncodingInfo(20278, "IBM278"),
                  new EncodingInfo(20280, "IBM280"),
                  new EncodingInfo(20284, "IBM284"),
                  new EncodingInfo(20285, "IBM285"),
                  new EncodingInfo(20290, "IBM290"),
                  new EncodingInfo(20297, "IBM297"),
                  new EncodingInfo(20420, "IBM420"),
                  new EncodingInfo(20423, "IBM423"),
                  new EncodingInfo(20424, "IBM424"),
                  new EncodingInfo(20833, "x-EBCDIC-KoreanExtended"),
                  new EncodingInfo(20838, "IBM-Thai"),
                  new EncodingInfo(20866, "koi8-r"),
                  new EncodingInfo(20871, "IBM871"),
                  new EncodingInfo(20880, "IBM880"),
                  new EncodingInfo(20905, "IBM905"),
                  new EncodingInfo(20924, "IBM00924"),
                  new EncodingInfo(20932, "EUC-JP"),
                  new EncodingInfo(20936, "x-cp20936"),
                  new EncodingInfo(20949, "x-cp20949"),
                  new EncodingInfo(21025, "cp1025"),
                  new EncodingInfo(21866, "koi8-u"),
                  new EncodingInfo(28591, "iso-8859-1"),
                  new EncodingInfo(28592, "iso-8859-2"),
                  new EncodingInfo(28593, "iso-8859-3"),
                  new EncodingInfo(28594, "iso-8859-4"),
                  new EncodingInfo(28595, "iso-8859-5"),
                  new EncodingInfo(28596, "iso-8859-6"),
                  new EncodingInfo(28597, "iso-8859-7"),
                  new EncodingInfo(28598, "iso-8859-8"),
                  new EncodingInfo(28599, "iso-8859-9"),
                  new EncodingInfo(28603, "iso-8859-13"),
                  new EncodingInfo(28605, "iso-8859-15"),
                  new EncodingInfo(29001, "x-Europa"),
                  new EncodingInfo(38598, "iso-8859-8-i"),
                  new EncodingInfo(50220, "iso-2022-jp"),
                  new EncodingInfo(50221, "csISO2022JP"),
                  new EncodingInfo(50222, "iso-2022-jp"),
                  new EncodingInfo(50225, "iso-2022-kr"),
                  new EncodingInfo(50227, "x-cp50227"),
                  new EncodingInfo(51932, "euc-jp"),
                  new EncodingInfo(51936, "EUC-CN"),
                  new EncodingInfo(51949, "euc-kr"),
                  new EncodingInfo(52936, "hz-gb-2312"),
                  new EncodingInfo(54936, "GB18030"),
                  new EncodingInfo(57002, "x-iscii-de"),
                  new EncodingInfo(57003, "x-iscii-be"),
                  new EncodingInfo(57004, "x-iscii-ta"),
                  new EncodingInfo(57005, "x-iscii-te"),
                  new EncodingInfo(57006, "x-iscii-as"),
                  new EncodingInfo(57007, "x-iscii-or"),
                  new EncodingInfo(57008, "x-iscii-ka"),
                  new EncodingInfo(57009, "x-iscii-ma"),
                  new EncodingInfo(57010, "x-iscii-gu"),
                  new EncodingInfo(57011, "x-iscii-pa"),
                  new EncodingInfo(65000, "utf-7"),
                  new EncodingInfo(65001, "utf-8")
               };
      }
         
   }
}
